<?php
/**
 * Plugin tagEditor
 *
 * @package	PLX
 * @author	Stephane F, Thomas Ingles
 **/
class tagEditor extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe (obligatoire)
		parent::__construct($default_lang);

		# Déclarations des hooks admin
		if(defined('PLX_ADMIN') AND strpos($_SERVER['PHP_SELF'], 'article.php') !== false){
			$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
			$this->addHook('AdminFootEndBody', 'AdminFootEndBody');
		}
	}

	/**
	 * Méthode qui ajoute l'insertion de la feuille de style dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function AdminTopEndHead() {
?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.tag-editor.css?v=1.0.2">
<?php
	}

	/**
	 * Méthode qui ajoute l'insertion du javascript dans la partie <body> du site
	 *
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function AdminFootEndBody() {
		$this->addJQuery();
?>
<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.caret.min.js?v=1.3.7"></script>
<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.tag-editor.min.js?v=1.0.2"></script>
<script type="text/javascript">
	//hide tags list (pluxml 5.8x)
	$("#toggler_tags").prop('checked', false);
	//autocomplete
	let taga = $("#tags a");
	autocompleteDict = [];
	for(i=0; i<taga.length;i++){
		autocompleteDict.push(taga[i].innerText);
	}

	$("#id_tags").tagEditor({
		forceLowercase:false,
		//placeholder: 'mots clés, séparés, par une vigule',
		onChange: function(){// callback for plxAdminBar plugin 2.1.1
			if (typeof plxAdminBar_fields_is_modified == 'function'){
				plxAdminBar_fields_is_modified();//alert data changed before unload
			}
			$(this).onChange = function(){};//restore original funk
		},
		autocomplete: ({
			source: autocompleteDict
		})//options dict for jQuery UI autocomplete
	});
	$("#tags a").click(function(){
		$("#id_tags").tagEditor("addTag", $(this).text());
	});
</script>
<?php
	}

	/**
	 * Méthode qui ajoute l'insertion du javascript dans la partie <head> du site
	 * http://code.jquery.com/jquery-3.6.0.min.js :: http://code.jquery.com/ui/1.13.1/jquery-ui.min.js
	 * @return	stdio
	 * @author	Stephane F, Thomas Ingles
	 **/
	public function addJQuery() {
?>
<script type="text/javascript">
 //typeof jQuery == 'undefined'
 !window.jQuery && document.write('<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery.min.js?v=3.6.0"><\/script>');
 document.write('<script type="text/javascript" src="<?php echo PLX_PLUGINS.__CLASS__ ?>/jquery-ui.min.js?v=1.13.1"><\/script>');
</script>
<script type="text/javascript">
$.ajaxPrefilter(function( options, original_Options, jqXHR ) {
    options.async = true;
});
</script>
<?php
	}
}
